// Send Orders

$(".makeOrder-form").on("submit", function(e) {
    
    e.preventDefault();
    
    var name = $("#name");
    var phone = $("#phone");
    
    if (name.val() == "") {
        $(".showError").html("حقل الاسم مطلوب");
    } else if (phone.val() == "") {
        $(".showError").html("حقل رقم الهاتف مطلوب");
    } else if (phone.val().length > 11) {
        $(".showError").html("رقم الهاتف لا يمكن ان يتجاوز 11 رقم");
    } else if (phone.val().length < 11){
        $(".showError").html("رقم الهاتف لا يمكن ان يقل عن 11 رقم");
    } else {
        $(".showError").html("");
        
        $.ajax({
           
            type: "POST",
            url: "send.php",
            data: {name: name.val(), phone: phone.val()},
            beforeSend: function() {
                $(".makeOrder-form button").html("<i class='fal fa-sync fa-spin'></i>");
                name.attr("readonly", "readonly");
                phone.attr("readonly", "readonly");
                $(".makeOrder-form button").attr("disabled", "disabled");
            },
            success: function(response) {
                console.log(response);
                if (response == 500) {
                    $(".showError").html("لا يمكن ان تدخل بياناتك مرتين");
                } else if (response == 200) {
                    window.location.replace("thanks.php");
                }
            },
            complete: function() {
                $(".makeOrder-form button").html("ارسال الطلب");
                name.removeAttr("readonly", "readonly");
                phone.removeAttr("readonly", "readonly");
                $(".makeOrder-form button").removeAttr("disabled", "disabled");
            } 
            
        });
    }
    
});